Subject: Inboxdollar Feedback Issue
From: Pritish Nandi <[email-masked]>
To: "Ravi Parkash . Gupta" <[email-masked]>, "Sona Kala . Chakma" <[email-masked]>, "Mayank k . arora" <[email-masked]>, "Ramananda " <[email-masked]>, "Surajit Bhadra" <[email-masked]>, "Chetan Lalwani" <[email-masked]>, Rahul Pal <[email-masked]>, Shahnawaz Akbar Dar <[email-masked]>, "Jamal Ahmad" <[email-masked]>, "Sharad sharma" <[email-masked]>, "Thakur, Anjit" <[email-masked]>, "Khan, Musahib" <[email-masked]>, "Mondal, Joydeep" <[email-masked]>
Cc: "Musahib M. Khan" <[email-masked]>, "Subir Chakma" <[email-masked]>
Date: Tue, 22 Dec 2015 22:13:44 +0530 (IST)

Team, 

I have seen a lot of apprehensions regarding accepting feedback for Inboxdollars chats in the recent few days. You need to understand that supervisors and seniors are only here to help you give your best on the work that you do. Feedback is not something to demoralize you or your work. I know that you try and put your 100% on your chats however please understand that you do not know everything and there would be a lot of space to improve yourselves on the work that you do. We are just acting as mentors to guide you how you can do things better. 

I have seen people always come on defensive mode when provided feedback and asked anything rather then accepting that there was a chance of improvement. People starts arguing on the same and does not accept anything. They think that they have done the best even though they do not know that there were a lot of things which could have been done differently to either avoid frustration of the customer or to resolve the query. 

I can see that there is a sense of insecurity and might be that is the reason you people do so, however you do not have be afraid. I know the client always keeps us on our toes however that does not mean that we also have to act defensive everytime. We need to do the right thing at the very first time to avoid any further issues on the chat and have to figure out the problem ourselves before the client does and comes back to us- hitting hard. 

We are always open to listen to you and also are doing the best in the circumstances to help everyone however if things go out of our hands then we might need to start asking question on everything that you do. Please understand that no supervisor wants to escalate things until it is hard for him to handle. I hope things would be normal and you people would act as adults. 

I would be hoping for a lot of improvements on how we work.Looking forward for your cooperation on this. 

R egards, 
Pritish Nandi